﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Calc.ChainCalc
{
    class ChainClc
    {
        private double result;

        private IList<Operation> operations;

        public ChainClc(double num)
        {
            result = num;

            operations = new List<Operation>();
        }

        public void AddOperation(Operation opp)
        {
            operations.Add(opp);
        }

        public double Run()
        {
            foreach (Operation o in operations)
            {
                result = o.Execute(result);
            }

            return result;
        }
    }
}
